> ## Documentation Index
> Fetch the complete documentation index at: https://monitoryt.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch tracked video data

> Returns metadata, counters, events, and historical stat samples for up to 20 videos belonging to channels tracked by the authenticated Pro user.



## OpenAPI

````yaml https://monitoryt.com/openapi.yml post /api/public/videos
openapi: 3.1.0
info:
  title: Monitor YT Public API
  version: 1.0.0
  description: Programmatic access to Monitor YT feed and tracked-video data.
servers:
  - url: https://monitoryt.com
    description: Production
security: []
paths:
  /api/public/videos:
    post:
      tags:
        - Public API
      summary: Fetch tracked video data
      description: >-
        Returns metadata, counters, events, and historical stat samples for up
        to 20 videos belonging to channels tracked by the authenticated Pro
        user.
      operationId: fetchVideos
      requestBody:
        description: JSON request body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                videoIds:
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 32
                  minItems: 1
                  maxItems: 20
              required:
                - videoIds
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  videos:
                    type: array
                    items:
                      type: object
                      properties:
                        video:
                          type: object
                          properties:
                            youtubeVideoId:
                              type: string
                            currentTitle:
                              type: string
                            currentThumbnailUrl:
                              type: string
                              format: uri
                            publishedAt:
                              type: integer
                            isMembersOnly:
                              type: boolean
                            viewCount:
                              type:
                                - integer
                                - 'null'
                              minimum: 0
                            likeCount:
                              type:
                                - integer
                                - 'null'
                              minimum: 0
                            commentCount:
                              type:
                                - integer
                                - 'null'
                              minimum: 0
                            channel:
                              type: object
                              properties:
                                id:
                                  type: string
                                youtubeChannelId:
                                  type: string
                                title:
                                  type: string
                                thumbnailUrl:
                                  type:
                                    - string
                                    - 'null'
                                  format: uri
                              required:
                                - id
                                - youtubeChannelId
                                - title
                                - thumbnailUrl
                          required:
                            - youtubeVideoId
                            - currentTitle
                            - currentThumbnailUrl
                            - publishedAt
                            - isMembersOnly
                            - viewCount
                            - likeCount
                            - commentCount
                            - channel
                        firstSeenAt:
                          type: integer
                        historyWindowDays:
                          type: integer
                          exclusiveMinimum: 0
                        isGraphLocked:
                          type: boolean
                        events:
                          type: array
                          items:
                            oneOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - video_published
                                  video:
                                    type: object
                                    properties:
                                      youtubeVideoId:
                                        type: string
                                      currentTitle:
                                        type: string
                                      currentThumbnailUrl:
                                        type: string
                                        format: uri
                                      publishedAt:
                                        type: integer
                                      isMembersOnly:
                                        type: boolean
                                      viewCount:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 0
                                      likeCount:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 0
                                      commentCount:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 0
                                    required:
                                      - youtubeVideoId
                                      - currentTitle
                                      - currentThumbnailUrl
                                      - publishedAt
                                      - isMembersOnly
                                      - viewCount
                                      - likeCount
                                      - commentCount
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - video
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - title_changed
                                  video:
                                    type: object
                                    properties:
                                      youtubeVideoId:
                                        type: string
                                      currentTitle:
                                        type: string
                                      currentThumbnailUrl:
                                        type: string
                                        format: uri
                                      publishedAt:
                                        type: integer
                                    required:
                                      - youtubeVideoId
                                      - currentTitle
                                      - currentThumbnailUrl
                                      - publishedAt
                                  oldTitle:
                                    type: string
                                  newTitle:
                                    type: string
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - video
                                  - oldTitle
                                  - newTitle
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - thumbnail_changed
                                  video:
                                    type: object
                                    properties:
                                      youtubeVideoId:
                                        type: string
                                      currentTitle:
                                        type: string
                                      currentThumbnailUrl:
                                        type: string
                                        format: uri
                                      publishedAt:
                                        type: integer
                                    required:
                                      - youtubeVideoId
                                      - currentTitle
                                      - currentThumbnailUrl
                                      - publishedAt
                                  oldThumbnailUrl:
                                    type: string
                                    format: uri
                                  newThumbnailUrl:
                                    type: string
                                    format: uri
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - video
                                  - oldThumbnailUrl
                                  - newThumbnailUrl
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - title_ab_test
                                  video:
                                    type: object
                                    properties:
                                      youtubeVideoId:
                                        type: string
                                      currentTitle:
                                        type: string
                                      currentThumbnailUrl:
                                        type: string
                                        format: uri
                                      publishedAt:
                                        type: integer
                                    required:
                                      - youtubeVideoId
                                      - currentTitle
                                      - currentThumbnailUrl
                                      - publishedAt
                                  titles:
                                    type: array
                                    items:
                                      type: string
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - video
                                  - titles
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - title_ab_test_concluded
                                  video:
                                    type: object
                                    properties:
                                      youtubeVideoId:
                                        type: string
                                      currentTitle:
                                        type: string
                                      currentThumbnailUrl:
                                        type: string
                                        format: uri
                                      publishedAt:
                                        type: integer
                                    required:
                                      - youtubeVideoId
                                      - currentTitle
                                      - currentThumbnailUrl
                                      - publishedAt
                                  titles:
                                    type: array
                                    items:
                                      type: string
                                  finalTitle:
                                    type: string
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - video
                                  - titles
                                  - finalTitle
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - thumbnail_ab_test
                                  video:
                                    type: object
                                    properties:
                                      youtubeVideoId:
                                        type: string
                                      currentTitle:
                                        type: string
                                      currentThumbnailUrl:
                                        type: string
                                        format: uri
                                      publishedAt:
                                        type: integer
                                    required:
                                      - youtubeVideoId
                                      - currentTitle
                                      - currentThumbnailUrl
                                      - publishedAt
                                  thumbnailUrls:
                                    type: array
                                    items:
                                      type: string
                                      format: uri
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - video
                                  - thumbnailUrls
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - thumbnail_ab_test_concluded
                                  video:
                                    type: object
                                    properties:
                                      youtubeVideoId:
                                        type: string
                                      currentTitle:
                                        type: string
                                      currentThumbnailUrl:
                                        type: string
                                        format: uri
                                      publishedAt:
                                        type: integer
                                    required:
                                      - youtubeVideoId
                                      - currentTitle
                                      - currentThumbnailUrl
                                      - publishedAt
                                  thumbnailUrls:
                                    type: array
                                    items:
                                      type: string
                                      format: uri
                                  finalThumbnailUrl:
                                    type: string
                                    format: uri
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - video
                                  - thumbnailUrls
                                  - finalThumbnailUrl
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - members_only_changed
                                  video:
                                    type: object
                                    properties:
                                      youtubeVideoId:
                                        type: string
                                      currentTitle:
                                        type: string
                                      currentThumbnailUrl:
                                        type: string
                                        format: uri
                                      publishedAt:
                                        type: integer
                                    required:
                                      - youtubeVideoId
                                      - currentTitle
                                      - currentThumbnailUrl
                                      - publishedAt
                                  isMembersOnly:
                                    type: boolean
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - video
                                  - isMembersOnly
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - subscriber_change
                                  oldSubscriberCount:
                                    type:
                                      - integer
                                      - 'null'
                                    minimum: 0
                                  newSubscriberCount:
                                    type: integer
                                    minimum: 0
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - oldSubscriberCount
                                  - newSubscriberCount
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - channel_renamed
                                  oldChannelTitle:
                                    type: string
                                  newChannelTitle:
                                    type: string
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - oldChannelTitle
                                  - newChannelTitle
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: integer
                                  channel:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      youtubeChannelId:
                                        type: string
                                      title:
                                        type: string
                                      thumbnailUrl:
                                        type:
                                          - string
                                          - 'null'
                                        format: uri
                                    required:
                                      - id
                                      - youtubeChannelId
                                      - title
                                      - thumbnailUrl
                                  type:
                                    type: string
                                    enum:
                                      - channel_avatar_changed
                                  oldAvatarUrl:
                                    type: string
                                    format: uri
                                  newAvatarUrl:
                                    type: string
                                    format: uri
                                required:
                                  - id
                                  - createdAt
                                  - channel
                                  - type
                                  - oldAvatarUrl
                                  - newAvatarUrl
                        statSamples:
                          type: array
                          items:
                            type: object
                            properties:
                              viewCount:
                                type:
                                  - integer
                                  - 'null'
                                minimum: 0
                              likeCount:
                                type:
                                  - integer
                                  - 'null'
                                minimum: 0
                              commentCount:
                                type:
                                  - integer
                                  - 'null'
                                minimum: 0
                              createdAt:
                                type: integer
                            required:
                              - viewCount
                              - likeCount
                              - commentCount
                              - createdAt
                      required:
                        - video
                        - firstSeenAt
                        - historyWindowDays
                        - isGraphLocked
                        - events
                        - statSamples
                  missingVideoIds:
                    type: array
                    items:
                      type: string
                required:
                  - videos
                  - missingVideoIds
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details: {}
                required:
                  - error
                  - message
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details: {}
                required:
                  - error
                  - message
        '403':
          description: A Pro plan is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details: {}
                required:
                  - error
                  - message
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details: {}
                required:
                  - error
                  - message
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Monitor YT API key

````